> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Contractor Payment

> Delete a pending contractor payment by contractorPaymentID in Zeal.



## OpenAPI

````yaml openapi/zeal-api.json delete /contractorPayment
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /contractorPayment:
    delete:
      summary: Delete Contractor Payment
      operationId: delete-contractor-payment
      parameters:
        - name: companyID
          in: query
          description: ID of the company
          required: true
          schema:
            type: string
        - name: contractorPaymentID
          in: query
          description: ID of the corresponding contractor payment
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      - message: Contractor Payment(s) deleted
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Contractor Payment(s) deleted
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: >-
                          Contractor Payment with this payment ID does not
                          exist.
                        code: 46
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: >-
                            Contractor Payment with this payment ID does not
                            exist.
                        code:
                          type: integer
                          example: 46
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````